##### Set_Pos_from_Prop.py
#
#  Set object location with x y z properties
#
#############################################################################
## This file is part of blender_jeu_foot.
#
#    blender_jeu_foot is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    blender_jeu_foot is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
#
#############################################################################
#
# See http://wiki.labomedia.org/index.php/Accueil for more informations
#
#############################################################################

import GameLogic

# Get owner
controller = GameLogic.getCurrentController()
owner = controller.owner

x = -owner['x']
y = owner['z']
z = -owner['y']

# get current scene
scene = GameLogic.getCurrentScene()
# get list of objects in scene
objList = scene.objects

# Get Objetcs with names
Osc_Cube = objList["OBOsc_Cube"]

# Set player scale with prop in Osc_Cube: default scale = 1
scale = Osc_Cube['scale']

# Set Position from Prop

x = (40.0* scale * x * 1.2) + 30.0
y = (40.0 * scale * y) - 80.0
z = (40.0 * scale * z) + 35.0

# Set Position with prop x y z
owner.worldPosition = [x, y, z]
