##### Simul_bones.py
#
#  Set bones location : bones are object between sphere with constraint track to
#
#############################################################################
## This file is part of blender_jeu_foot.
#
#    blender_jeu_foot is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    blender_jeu_foot is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
#
#############################################################################
#
# See http://wiki.labomedia.org/index.php/Accueil for more informations
#
#############################################################################

import GameLogic
import Mathutils

# Get owner, scene, objects
controller = GameLogic.getCurrentController()
owner = controller.owner
scene = GameLogic.getCurrentScene()
objList = scene.objects

# Get Objects with Position
head = objList["OBHead.001"]
neck = objList["OBNeck.001"]
l_shoulder = objList["OBL_Shoulder.001"]
l_elbow	= objList["OBL_Elbow.001"]
l_hand = objList["OBL_Hand.001"]
r_shoulder = objList["OBR_Shoulder.001"]
r_elbow = objList["OBR_Elbow.001"]
r_hand = objList["OBR_Hand.001"]
torso = objList["OBTorso.001"]
l_hip = objList["OBL_Hip.001"]
l_knee = objList["OBL_Knee.001"]
l_foot = objList["OBL_Foot.001"]
r_hip = objList["OBR_Hip.001"]
r_knee = objList["OBR_Knee.001"]
r_foot = objList["OBR_Foot.001"]

# Get Objects bones
l_arm = objList["OBL_Arm.001"]
l_forarm = objList["OBL_ForArm.001"]
l_femur = objList["OBL_Femur.001"]
l_tibia = objList["OBL_Tibia.001"]
r_arm = objList["OBR_Arm.001"]
r_forarm = objList["OBR_ForArm.001"]
r_femur = objList["OBR_Femur.001"]
r_tibia = objList["OBR_Tibia.001"]

# Get objects body
l_body_up = objList["OBL_Body_Up.001"]
r_body_up = objList["OBR_Body_Up.001"]
l_body_down = objList["OBL_Body_Down.001"]
r_body_down = objList["OBR_Body_Down.001"]

#################################################### Set position of body parts

l_body_up.worldPosition = l_shoulder.worldPosition
r_body_up.worldPosition = r_shoulder.worldPosition
l_body_down.worldPosition = l_hip.worldPosition
r_body_down.worldPosition = r_hip.worldPosition

#################################################### Calulate distance between 2 points

def get_distance(point1, point2):

	# Get the distance between point1 and point2
	distance = point1.getDistanceTo(point2)

	return distance

#################################################### Adjust l_tibia lenght

# Set l_tibia on l_knee
l_tibia.worldPosition = l_knee.worldPosition

# Get the distance between l_foot and l_knee
distance = l_foot.getDistanceTo(l_knee)
scale_l_tibia = distance / 8.0

# Set lenght
l_tibia.scaling = [1.0, 1.0, scale_l_tibia]

#################################################### Adjust r_arm lenght

# Set r_arm on r_shouler
r_arm.worldPosition = r_shoulder.worldPosition

# Get the distance between r_shoulder and r_elbow
distance = r_elbow.getDistanceTo(r_shoulder)
scale_r_arm = distance / 6.0

# Set lenght
r_arm.scaling = [1.0, 1.0, scale_r_arm]

#################################################### Adjust r_forarm lenght

# Set r_forarm on r_elbow
r_forarm.worldPosition = r_elbow.worldPosition

# Get the distance between r_elbow and r_hand
distance = r_hand.getDistanceTo(r_elbow)
scale_r_forarm = distance / 6.0

# Set lenght
r_forarm.scaling = [1.0, 1.0, scale_r_forarm]

#################################################### Adjust l_arm lenght

# Set l_arm on l_shoulder
l_arm.worldPosition = l_shoulder.worldPosition

# Get the distance between r_shoulder and r_elbow
distance = l_elbow.getDistanceTo(l_shoulder)
scale_l_arm = distance / 6.0

# Set lenght
l_arm.scaling = [1.0, 1.0, scale_l_arm]

#################################################### Adjust l_forarm lenght

# Set l_forarm on l_elbow
l_forarm.worldPosition = l_elbow.worldPosition

# Get the distance between r_elbow and r_hand
distance = l_hand.getDistanceTo(l_elbow)
scale_l_forarm = distance / 6.0

# Set lenght
l_forarm.scaling = [1.0, 1.0, scale_l_forarm]

#################################################### Adjust r_femur lenght

# Set r_femur on r_hip
r_femur.worldPosition = r_hip.worldPosition

# Get the distance between r_hip and r_knee
distance = r_knee.getDistanceTo(r_hip)
scale_r_femur = distance / 8.0

# Set lenght
r_femur.scaling = [1.0, 1.0, scale_r_femur]

#################################################### Adjust r_tibia lenght

# Set r_tibia on r_knee
r_tibia.worldPosition = r_knee.worldPosition

# Get the distance between r_foot and r_knee
distance = r_foot.getDistanceTo(r_knee)
scale_r_tibia = distance / 8.0

# Set lenght
r_tibia.scaling = [1.0, 1.0, scale_r_tibia]

#################################################### Adjust l_femur lenght

# Set l_femur on l_hip
l_femur.worldPosition = l_hip.worldPosition

# Get the distance between l_hip and l_knee
distance = l_knee.getDistanceTo(l_hip)
scale_l_femur = distance / 8.0

# Set lenght
l_femur.scaling = [1.0, 1.0, scale_l_femur]

#################################################### Adjust l_tibia lenght

# Set l_tibia on l_knee
l_tibia.worldPosition = l_knee.worldPosition

# Get the distance between l_foot and l_knee
distance = l_foot.getDistanceTo(l_knee)
scale_l_tibia = distance / 8.0

# Set lenght
l_tibia.scaling = [1.0, 1.0, scale_l_tibia]



