##### Viewports.py
#
#  Split screen for two player
#
####################################################

################## Viewport needs to know game window height and width

import Rasterizer

# Get owner
controller = GameLogic.getCurrentController()
owner = controller.owner

# get game window height and width
height = Rasterizer.getWindowHeight()
width = Rasterizer.getWindowWidth()

################# Using 2 cameras for the player viewports. Need to get them.

# get current scene
scene = GameLogic.getCurrentScene()

# get list of objects in scene
objList = scene.objects

# use Camera ( the active camera) for PlayerA
playerA_cam = objList["OBCamera"]

# use Camera.001 for PlayerB
playerB_cam = objList["OBCamera.002"]

# use Camera.003 to overview 
overview = objList["OBCamera.003"]

# use Camera.004 for stereo
stereo_cam = objList["OBCamera.004"]

################# Use the half left for Player A.

# Player A viewport:
left_A = 0
bottom_A = 0
right_A = width / 2
top_A = height

# set Player A viewport
playerA_cam.setViewport( left_A, bottom_A, right_A, top_A)

################# Use half right for player B.

# Player B viewport:
left_B = width / 2
bottom_B = 0
right_B = width
top_B = height

# set Player B viewport
playerB_cam.setViewport( left_B, bottom_B, right_B, top_B)


################# overview is over

#overview.setViewport(0, height*2/5, width*2/5, height*5/4)
#overview.setOnTop()
#overview.useViewport = True

################# Use half right for stereo if stereo.

# stereo viewport:
left_B = width / 2
bottom_B = 0
right_B = width
top_B = height

# set stereo viewport
stereo_cam.setViewport( left_B, bottom_B, right_B, top_B)

################# Set Viewports
# set Player B viewport
playerB_cam.setViewport( left_B, bottom_B, right_B, top_B)

if not owner['viewports'] :
	playerA_cam.useViewport = False
	playerB_cam.useViewport = False
	stereo_cam.useViewport = False

else :
	playerA_cam.useViewport = True
	playerB_cam.useViewport = True
	stereo_cam.useViewport = False

if owner['stereo'] :
	playerA_cam.useViewport = True
	playerB_cam.useViewport = False
	stereo_cam.useViewport = True


