##### getOSC_kinect.py
#
#  Get and decode OSC datas
#
#############################################################################
## This file is part of blender_jeu_foot.
#
#    blender_jeu_foot is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    blender_jeu_foot is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
#
#############################################################################
#
# See http://wiki.labomedia.org/index.php/Accueil for more informations
#
#############################################################################

import GameLogic
import socket
from .OSC import OSC

# Get owner
controller = GameLogic.getCurrentController()
owner = controller.owner

####################################################
# Return a python list with all kinect output
def kinect_data(host, port):		
	# SOCK_DGRAM is the socket type to use for UDP sockets	
	serge = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
	serge.bind((host, port))
	serge.settimeout(0.03)

	# Recv and Set max paquet lenght
	raw, addr = serge.recvfrom(1024)

	# Decode Raw data
	dec = OSC.decodeOSC(raw)

	return dec

#################################################### Set default position
default = [['head', 1, -0.41, 0.15, 2.03], ['neck', 1, -0.41, 0.26, 2.03], ['l_shoulder', 1, -0.47, 0.25, 2.05], ['l_elbow', 1, -0.54, 0.37, 2.14], ['l_hand', 1, -0.55, 0.52, 2.10], ['r_shoulder', 1, -0.35, 0.26, 2.02], ['r_elbow', 1, -0.28, 0.37, 2.08], ['r_hand', 1, -0.29, 0.52, 2.0], ['torso', 1, -0.41, 0.36, 2.04], ['l_hip', 1, -0.45, 0.47, 2.05], ['l_knee', 1, -0.48, 0.67, 2.10], ['l_foot', 1, -0.49, 0.85, 2.07], ['r_hip', 1, -0.38, 0.47, 2.03], ['r_knee', 1, -0.38, 0.68, 2.07], ['r_foot', 1, -0.38, 0.86, 2.0]]

#################################################### Receive data
data = default
try:
	data = kinect_data('localhost', 7110)
	owner['data'] = data
except socket.error:
	pass

## Set default if not data
if len(data) < 3 :
	data = default
	owner['data'] = data
